/*
		     VMA Editor - Text Dialog

	For editing text in models and comment primtiives.
 */

#ifndef EDITORTDIALOG_H
#define EDITORTDIALOG_H

#include <gtk/gtk.h>
#include "editor.h"


extern void EditorTDialogSetValues(
	ma_editor_tdialog_struct *d,  
	gint model_num,  
	gint primitive_num  
);
extern void EditorTDialogClear(ma_editor_tdialog_struct *d);
extern void EditorTDialogFetch(
	ma_editor_struct *editor, ma_editor_tdialog_struct *d 
);
extern void EditorTDialogApply(
	ma_editor_struct *editor, ma_editor_tdialog_struct *d
);

extern gboolean EditorTDialogDoFind(
	ma_editor_tdialog_struct *d, GtkText *text,
	gchar *haystack, gchar *needle,
	gint haystack_len, gint start_pos,
	gboolean case_sensitive,
	gboolean move_to,
	gboolean *search_wrapped
);

extern gint EditorTDialogCreate(
	ma_editor_struct *editor, ma_editor_tdialog_struct *d
);
extern void EditorTDialogReset(
	ma_editor_tdialog_struct *d, gboolean need_unmap
);
extern void EditorTDialogUpdateAppearance(ma_editor_tdialog_struct *d);
extern void EditorTDialogUpdateMenus(ma_editor_tdialog_struct *d);
extern void EditorTDialogDestroy(
	ma_editor_struct *editor, ma_editor_tdialog_struct *d
);


#endif	/* EDITORTDIALOG_H */
